<?php
/**
 * Header file for the Meganizer WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Meganizer
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if (function_exists('wp_body_open')) {
    wp_body_open();
} ?>

<div id="page" class="hfeed site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'meganizer'); ?></a>
    <?php 
        $meganizer_default = meganizer_get_default_theme_options();
        $ed_header_subscription_news = get_theme_mod('ed_header_subscription_news', $meganizer_default['ed_header_subscription_news']);
        $ed_header_subscription_posts_title = get_theme_mod('ed_header_subscription_posts_title', $meganizer_default['ed_header_subscription_posts_title']);
        $header_subscription_image = get_theme_mod('header_subscription_image');
        $ed_header_subscription_shortcode = get_theme_mod('ed_header_subscription_shortcode');

        ?>
    <?php if ($ed_header_subscription_news) { ?>
        <div class="theme-modal">

            <div class="theme-modal-content">

                <a href="" class='theme-modal-close'>
                    <?php meganizer_theme_svg('close'); ?>
                </a>

                <div class="theme-modal-image data-bg data-bg-big" data-background = '<?php echo esc_url($header_subscription_image); ?>'></div>

                <div class="theme-modal-detail">
                    <h2 class="entry-title- entry-title-medium">
                        <?php echo esc_html($ed_header_subscription_posts_title); ?>
                    </h2>
                    <?php echo do_shortcode( $ed_header_subscription_shortcode); ?>
                </div>

            </div>


        </div>
    <?php } ?>
    

    <?php meganizer_header_ad(); ?>

    <?php get_template_part('template-parts/header/header', 'content'); ?>

    <?php meganizer_header_banner(); ?>

    <div id="content" class="site-content">