<?php
/**
 * Pagination Settings
 *
 * @package Meganizer
 */

$meganizer_default = meganizer_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'meganizer_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'meganizer' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'meganizer_pagination_layout',
	array(
	'default'           => $meganizer_default['meganizer_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'meganizer_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'meganizer' ),
	'section'     => 'meganizer_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','meganizer'),
		'numeric' => esc_html__('Numeric Method','meganizer'),
		'load-more' => esc_html__('Ajax Load More Button','meganizer'),
		'auto-load' => esc_html__('Ajax Auto Load','meganizer'),
	),
	)
);