<?php
/**
* Sidebar Metabox.
*
* @package Meganizer
*/
 
add_action( 'add_meta_boxes', 'meganizer_metabox' );

if( ! function_exists( 'meganizer_metabox' ) ):


    function  meganizer_metabox() {
        
        add_meta_box(
            'theme-custom-metabox',
            esc_html__( 'Layout Settings', 'meganizer' ),
            'meganizer_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'theme-custom-metabox',
            esc_html__( 'Layout Settings', 'meganizer' ),
            'meganizer_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
    }

endif;

$meganizer_page_layout_options = array(
    'layout-1' => esc_html__( 'Simple Layout', 'meganizer' ),
    'layout-2' => esc_html__( 'Banner Layout', 'meganizer' ),
);

$meganizer_post_sidebar_fields = array(
    'global-sidebar' => array(
                    'id'        => 'post-global-sidebar',
                    'value' => 'global-sidebar',
                    'label' => esc_html__( 'Global sidebar', 'meganizer' ),
                ),
    'right-sidebar' => array(
                    'id'        => 'post-left-sidebar',
                    'value' => 'right-sidebar',
                    'label' => esc_html__( 'Right sidebar', 'meganizer' ),
                ),
    'left-sidebar' => array(
                    'id'        => 'post-right-sidebar',
                    'value'     => 'left-sidebar',
                    'label'     => esc_html__( 'Left sidebar', 'meganizer' ),
                ),
    'no-sidebar' => array(
                    'id'        => 'post-no-sidebar',
                    'value'     => 'no-sidebar',
                    'label'     => esc_html__( 'No sidebar', 'meganizer' ),
                ),
);

$meganizer_post_layout_options = array(
    'global-layout' => esc_html__( 'Global Layout', 'meganizer' ),
    'layout-1' => esc_html__( 'Simple Layout', 'meganizer' ),
    'layout-2' => esc_html__( 'Banner Layout', 'meganizer' ),
);

$meganizer_header_overlay_options = array(
    'global-layout' => esc_html__( 'Global Layout', 'meganizer' ),
    'enable-overlay' => esc_html__( 'Enable Header Overlay', 'meganizer' ),
);


/**
 * Callback function for post option.
*/
if( ! function_exists( 'meganizer_post_metafield_callback' ) ):
    
    function meganizer_post_metafield_callback() {
        global $post, $meganizer_post_sidebar_fields, $meganizer_post_layout_options,  $meganizer_page_layout_options, $meganizer_header_overlay_options;
        $post_type = get_post_type($post->ID);
        wp_nonce_field( basename( __FILE__ ), 'meganizer_post_meta_nonce' ); ?>
        
        <div class="metabox-main-block">

            <div class="metabox-navbar">
                <ul>

                    <li>
                        <a id="metabox-navbar-general" class="metabox-navbar-active" href="javascript:void(0)">

                            <?php esc_html_e('General Settings', 'meganizer'); ?>

                        </a>
                    </li>

                    <li>
                        <a id="metabox-navbar-appearance" href="javascript:void(0)">

                            <?php esc_html_e('Appearance Settings', 'meganizer'); ?>

                        </a>
                    </li>

                    <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ): ?>
                        <li>
                            <a id="twp-tab-booster" href="javascript:void(0)">

                                <?php esc_html_e('Booster Extension Settings', 'meganizer'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </div>

            <div class="twp-tab-content">

                <div id="metabox-navbar-general-content" class="metabox-content-wrap metabox-content-wrap-active">

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Sidebar Layout','meganizer'); ?></h3>

                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <?php
                            $meganizer_post_sidebar = esc_html( get_post_meta( $post->ID, 'meganizer_post_sidebar_option', true ) ); 
                            if( $meganizer_post_sidebar == '' ){ $meganizer_post_sidebar = 'global-sidebar'; }

                            foreach ( $meganizer_post_sidebar_fields as $meganizer_post_sidebar_field) { ?>

                                <label class="description">

                                    <input type="radio" name="meganizer_post_sidebar_option" value="<?php echo esc_attr( $meganizer_post_sidebar_field['value'] ); ?>" <?php if( $meganizer_post_sidebar_field['value'] == $meganizer_post_sidebar ){ echo "checked='checked'";} if( empty( $meganizer_post_sidebar ) && $meganizer_post_sidebar_field['value']=='right-sidebar' ){ echo "checked='checked'"; } ?>/>&nbsp;<?php echo esc_html( $meganizer_post_sidebar_field['label'] ); ?>

                                </label>

                            <?php } ?>

                        </div>

                    </div>

                </div>


                <div id="metabox-navbar-appearance-content" class="metabox-content-wrap">

                    <?php if( $post_type == 'page' ): ?>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Appearance Layout','meganizer'); ?></h3>

                            <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                                <?php
                                $meganizer_page_layout = esc_html( get_post_meta( $post->ID, 'meganizer_page_layout', true ) ); 
                                if( $meganizer_page_layout == '' ){ $meganizer_page_layout = 'layout-1'; }

                                foreach ( $meganizer_page_layout_options as $key => $meganizer_page_layout_option) { ?>

                                    <label class="description">
                                        <input type="radio" name="meganizer_page_layout" value="<?php echo esc_attr( $key ); ?>" <?php if( $key == $meganizer_page_layout ){ echo "checked='checked'";} ?>/>&nbsp;<?php echo esc_html( $meganizer_page_layout_option ); ?>
                                    </label>

                                <?php } ?>

                            </div>

                        </div>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Header Overlay','meganizer'); ?></h3>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                <?php
                                $meganizer_ed_header_overlay = esc_attr( get_post_meta( $post->ID, 'meganizer_ed_header_overlay', true ) ); ?>

                                <input type="checkbox" id="meganizer-header-overlay" name="meganizer_ed_header_overlay" value="1" <?php if( $meganizer_ed_header_overlay ){ echo "checked='checked'";} ?>/>

                                <label for="meganizer-header-overlay"><?php esc_html_e( 'Enable Header Overlay','meganizer' ); ?></label>

                            </div>

                        </div>

                    <?php endif; ?>

                    <?php if( $post_type == 'post' ): ?>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Appearance Layout','meganizer'); ?></h3>

                            <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                                <?php
                                $meganizer_post_layout = esc_html( get_post_meta( $post->ID, 'meganizer_post_layout', true ) ); 
                                if( $meganizer_post_layout == '' ){ $meganizer_post_layout = 'global-layout'; }

                                foreach ( $meganizer_post_layout_options as $key => $meganizer_post_layout_option) { ?>

                                    <label class="description">
                                        <input type="radio" name="meganizer_post_layout" value="<?php echo esc_attr( $key ); ?>" <?php if( $key == $meganizer_post_layout ){ echo "checked='checked'";} ?>/>&nbsp;<?php echo esc_html( $meganizer_post_layout_option ); ?>
                                    </label>

                                <?php } ?>

                            </div>

                        </div>

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Header Overlay','meganizer'); ?></h3>

                            <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                                <?php
                                $meganizer_header_overlay = esc_html( get_post_meta( $post->ID, 'meganizer_header_overlay', true ) ); 
                                if( $meganizer_header_overlay == '' ){ $meganizer_header_overlay = 'global-layout'; }

                                foreach ( $meganizer_header_overlay_options as $key => $meganizer_header_overlay_option) { ?>

                                    <label class="description">
                                        <input type="radio" name="meganizer_header_overlay" value="<?php echo esc_attr( $key ); ?>" <?php if( $key == $meganizer_header_overlay ){ echo "checked='checked'";} ?>/>&nbsp;<?php echo esc_html( $meganizer_header_overlay_option ); ?>
                                    </label>

                                <?php } ?>

                            </div>

                        </div>

                    <?php endif; ?>

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Feature Image Setting','meganizer'); ?></h3>

                        <div class="metabox-opt-wrap theme-checkbox-wrap">

                            <?php
                            $meganizer_ed_feature_image = esc_html( get_post_meta( $post->ID, 'meganizer_ed_feature_image', true ) ); 
                            if (!isset( $_POST['meganizer_ed_feature_image'] )) {
                                $meganizer_ed_feature_image = get_theme_mod('ed_post_thumbnail');
                            }
                            ?>

                            <input type="checkbox" id="meganizer-ed-feature-image" name="meganizer_ed_feature_image" value="<?php echo $meganizer_default_feature_image; ?>" <?php if( $meganizer_ed_feature_image ){ echo "checked='checked'";} ?>/>

                            <label for="meganizer-ed-feature-image"><?php esc_html_e( 'Disable Feature Image','meganizer' ); ?></label>


                        </div>

                    </div>

                     <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Navigation Setting','meganizer'); ?></h3>

                        <?php $twp_disable_ajax_load_next_post = esc_attr( get_post_meta($post->ID, 'twp_disable_ajax_load_next_post', true) ); ?>
                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <label><b><?php esc_html_e( 'Navigation Type','meganizer' ); ?></b></label>

                            <select name="twp_disable_ajax_load_next_post">

                                <option <?php if( $twp_disable_ajax_load_next_post == '' || $twp_disable_ajax_load_next_post == 'global-layout' ){ echo 'selected'; } ?> value="global-layout"><?php esc_html_e('Global Layout','meganizer'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'no-navigation' ){ echo 'selected'; } ?> value="no-navigation"><?php esc_html_e('Disable Navigation','meganizer'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'norma-navigation' ){ echo 'selected'; } ?> value="norma-navigation"><?php esc_html_e('Next Previous Navigation','meganizer'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'ajax-next-post-load' ){ echo 'selected'; } ?> value="ajax-next-post-load"><?php esc_html_e('Ajax Load Next 3 Posts Contents','meganizer'); ?></option>

                            </select>

                        </div>
                    </div>

                </div>

                <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ):

                    
                    $meganizer_ed_post_views = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_views', true ) );
                    $meganizer_ed_post_read_time = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_read_time', true ) );
                    $meganizer_ed_post_like_dislike = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_like_dislike', true ) );
                    $meganizer_ed_post_author_box = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_author_box', true ) );
                    $meganizer_ed_post_social_share = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_social_share', true ) );
                    $meganizer_ed_post_reaction = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_reaction', true ) );
                    $meganizer_ed_post_rating = esc_html( get_post_meta( $post->ID, 'meganizer_ed_post_rating', true ) );
                    ?>

                    <div id="twp-tab-booster-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Booster Extension Plugin Content','meganizer'); ?></h3>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-views" name="meganizer_ed_post_views" value="1" <?php if( $meganizer_ed_post_views ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-views"><?php esc_html_e( 'Disable Post Views','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-read-time" name="meganizer_ed_post_read_time" value="1" <?php if( $meganizer_ed_post_read_time ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-read-time"><?php esc_html_e( 'Disable Post Read Time','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-like-dislike" name="meganizer_ed_post_like_dislike" value="1" <?php if( $meganizer_ed_post_like_dislike ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-like-dislike"><?php esc_html_e( 'Disable Post Like Dislike','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-author-box" name="meganizer_ed_post_author_box" value="1" <?php if( $meganizer_ed_post_author_box ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-author-box"><?php esc_html_e( 'Disable Post Author Box','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-social-share" name="meganizer_ed_post_social_share" value="1" <?php if( $meganizer_ed_post_social_share ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-social-share"><?php esc_html_e( 'Disable Post Social Share','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-reaction" name="meganizer_ed_post_reaction" value="1" <?php if( $meganizer_ed_post_reaction ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-reaction"><?php esc_html_e( 'Disable Post Reaction','meganizer' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap theme-checkbox-wrap">

                                    <input type="checkbox" id="meganizer-ed-post-rating" name="meganizer_ed_post_rating" value="1" <?php if( $meganizer_ed_post_rating ){ echo "checked='checked'";} ?>/>
                                    <label for="meganizer-ed-post-rating"><?php esc_html_e( 'Disable Post Rating','meganizer' ); ?></label>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>
                
            </div>

        </div>  
            
    <?php }
endif;

// Save metabox value.
add_action( 'save_post', 'meganizer_save_post_meta' );

if( ! function_exists( 'meganizer_save_post_meta' ) ):

    function meganizer_save_post_meta( $post_id ) {

        global $post, $meganizer_post_sidebar_fields, $meganizer_post_layout_options, $meganizer_header_overlay_options,  $meganizer_page_layout_options;

        if ( !isset( $_POST[ 'meganizer_post_meta_nonce' ] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['meganizer_post_meta_nonce'] ) ), basename( __FILE__ ) ) ){

            return;

        }

        if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){

            return;

        }
            
        if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {  

            if ( !current_user_can( 'edit_page', $post_id ) ){  

                return $post_id;

            }

        }elseif( !current_user_can( 'edit_post', $post_id ) ) {

            return $post_id;

        }


        foreach ( $meganizer_post_sidebar_fields as $meganizer_post_sidebar_field ) {  
            

                $old = esc_html( get_post_meta( $post_id, 'meganizer_post_sidebar_option', true ) ); 
                $new = isset( $_POST['meganizer_post_sidebar_option'] ) ? meganizer_sanitize_sidebar_option_meta( wp_unslash( $_POST['meganizer_post_sidebar_option'] ) ) : '';

                if ( $new && $new != $old ){

                    update_post_meta ( $post_id, 'meganizer_post_sidebar_option', $new );

                }elseif( '' == $new && $old ) {

                    delete_post_meta( $post_id,'meganizer_post_sidebar_option', $old );

                }

            
        }

        $twp_disable_ajax_load_next_post_old = esc_html( get_post_meta( $post_id, 'twp_disable_ajax_load_next_post', true ) ); 
        $twp_disable_ajax_load_next_post_new = isset( $_POST['twp_disable_ajax_load_next_post'] ) ? meganizer_sanitize_meta_pagination( wp_unslash( $_POST['twp_disable_ajax_load_next_post'] ) ) : '';

        if( $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_new != $twp_disable_ajax_load_next_post_old ){

            update_post_meta ( $post_id, 'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_new );

        }elseif( '' == $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_old ) {

            delete_post_meta( $post_id,'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_old );

        }


        foreach ( $meganizer_post_layout_options as $meganizer_post_layout_option ) {  
            
            $meganizer_post_layout_old = esc_html( get_post_meta( $post_id, 'meganizer_post_layout', true ) ); 
            $meganizer_post_layout_new = isset( $_POST['meganizer_post_layout'] ) ? meganizer_sanitize_post_layout_option_meta( wp_unslash( $_POST['meganizer_post_layout'] ) ) : '';

            if ( $meganizer_post_layout_new && $meganizer_post_layout_new != $meganizer_post_layout_old ){

                update_post_meta ( $post_id, 'meganizer_post_layout', $meganizer_post_layout_new );

            }elseif( '' == $meganizer_post_layout_new && $meganizer_post_layout_old ) {

                delete_post_meta( $post_id,'meganizer_post_layout', $meganizer_post_layout_old );

            }
            
        }



        foreach ( $meganizer_header_overlay_options as $meganizer_header_overlay_option ) {  
            
            $meganizer_header_overlay_old = esc_html( get_post_meta( $post_id, 'meganizer_header_overlay', true ) ); 
            $meganizer_header_overlay_new = isset( $_POST['meganizer_header_overlay'] ) ? meganizer_sanitize_header_overlay_option_meta( wp_unslash( $_POST['meganizer_header_overlay'] ) ) : '';

            if ( $meganizer_header_overlay_new && $meganizer_header_overlay_new != $meganizer_header_overlay_old ){

                update_post_meta ( $post_id, 'meganizer_header_overlay', $meganizer_header_overlay_new );

            }elseif( '' == $meganizer_header_overlay_new && $meganizer_header_overlay_old ) {

                delete_post_meta( $post_id,'meganizer_header_overlay', $meganizer_header_overlay_old );

            }
            
        }



        $meganizer_ed_feature_image_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_feature_image', true ) ); 
        $meganizer_ed_feature_image_new = isset( $_POST['meganizer_ed_feature_image'] ) ? absint( wp_unslash( $_POST['meganizer_ed_feature_image'] ) ) : '';

        if ( $meganizer_ed_feature_image_new && $meganizer_ed_feature_image_new != $meganizer_ed_feature_image_old ){

            update_post_meta ( $post_id, 'meganizer_ed_feature_image', $meganizer_ed_feature_image_new );

        }elseif( '' == $meganizer_ed_feature_image_new && $meganizer_ed_feature_image_old ) {

            delete_post_meta( $post_id,'meganizer_ed_feature_image', $meganizer_ed_feature_image_old );

        }



        $meganizer_ed_post_views_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_views', true ) ); 
        $meganizer_ed_post_views_new = isset( $_POST['meganizer_ed_post_views'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_views'] ) ) : '';

        if ( $meganizer_ed_post_views_new && $meganizer_ed_post_views_new != $meganizer_ed_post_views_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_views', $meganizer_ed_post_views_new );

        }elseif( '' == $meganizer_ed_post_views_new && $meganizer_ed_post_views_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_views', $meganizer_ed_post_views_old );

        }



        $meganizer_ed_post_read_time_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_read_time', true ) ); 
        $meganizer_ed_post_read_time_new = isset( $_POST['meganizer_ed_post_read_time'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_read_time'] ) ) : '';

        if ( $meganizer_ed_post_read_time_new && $meganizer_ed_post_read_time_new != $meganizer_ed_post_read_time_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_read_time', $meganizer_ed_post_read_time_new );

        }elseif( '' == $meganizer_ed_post_read_time_new && $meganizer_ed_post_read_time_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_read_time', $meganizer_ed_post_read_time_old );

        }



        $meganizer_ed_post_like_dislike_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_like_dislike', true ) ); 
        $meganizer_ed_post_like_dislike_new = isset( $_POST['meganizer_ed_post_like_dislike'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_like_dislike'] ) ) : '';

        if ( $meganizer_ed_post_like_dislike_new && $meganizer_ed_post_like_dislike_new != $meganizer_ed_post_like_dislike_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_like_dislike', $meganizer_ed_post_like_dislike_new );

        }elseif( '' == $meganizer_ed_post_like_dislike_new && $meganizer_ed_post_like_dislike_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_like_dislike', $meganizer_ed_post_like_dislike_old );

        }



        $meganizer_ed_post_author_box_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_author_box', true ) ); 
        $meganizer_ed_post_author_box_new = isset( $_POST['meganizer_ed_post_author_box'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_author_box'] ) ) : '';

        if ( $meganizer_ed_post_author_box_new && $meganizer_ed_post_author_box_new != $meganizer_ed_post_author_box_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_author_box', $meganizer_ed_post_author_box_new );

        }elseif( '' == $meganizer_ed_post_author_box_new && $meganizer_ed_post_author_box_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_author_box', $meganizer_ed_post_author_box_old );

        }



        $meganizer_ed_post_social_share_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_social_share', true ) ); 
        $meganizer_ed_post_social_share_new = isset( $_POST['meganizer_ed_post_social_share'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_social_share'] ) ) : '';

        if ( $meganizer_ed_post_social_share_new && $meganizer_ed_post_social_share_new != $meganizer_ed_post_social_share_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_social_share', $meganizer_ed_post_social_share_new );

        }elseif( '' == $meganizer_ed_post_social_share_new && $meganizer_ed_post_social_share_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_social_share', $meganizer_ed_post_social_share_old );

        }



        $meganizer_ed_post_reaction_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_reaction', true ) ); 
        $meganizer_ed_post_reaction_new = isset( $_POST['meganizer_ed_post_reaction'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_reaction'] ) ) : '';

        if ( $meganizer_ed_post_reaction_new && $meganizer_ed_post_reaction_new != $meganizer_ed_post_reaction_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_reaction', $meganizer_ed_post_reaction_new );

        }elseif( '' == $meganizer_ed_post_reaction_new && $meganizer_ed_post_reaction_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_reaction', $meganizer_ed_post_reaction_old );

        }



        $meganizer_ed_post_rating_old = esc_html( get_post_meta( $post_id, 'meganizer_ed_post_rating', true ) ); 
        $meganizer_ed_post_rating_new = isset( $_POST['meganizer_ed_post_rating'] ) ? absint( wp_unslash( $_POST['meganizer_ed_post_rating'] ) ) : '';

        if ( $meganizer_ed_post_rating_new && $meganizer_ed_post_rating_new != $meganizer_ed_post_rating_old ){

            update_post_meta ( $post_id, 'meganizer_ed_post_rating', $meganizer_ed_post_rating_new );

        }elseif( '' == $meganizer_ed_post_rating_new && $meganizer_ed_post_rating_old ) {

            delete_post_meta( $post_id,'meganizer_ed_post_rating', $meganizer_ed_post_rating_old );

        }

        foreach ( $meganizer_page_layout_options as $meganizer_post_layout_option ) {  
        
            $meganizer_page_layout_old = sanitize_text_field( get_post_meta( $post_id, 'meganizer_page_layout', true ) ); 
            $meganizer_page_layout_new = isset( $_POST['meganizer_page_layout'] ) ? meganizer_sanitize_post_layout_option_meta( wp_unslash( $_POST['meganizer_page_layout'] ) ) : '';

            if ( $meganizer_page_layout_new && $meganizer_page_layout_new != $meganizer_page_layout_old ){

                update_post_meta ( $post_id, 'meganizer_page_layout', $meganizer_page_layout_new );

            }elseif( '' == $meganizer_page_layout_new && $meganizer_page_layout_old ) {

                delete_post_meta( $post_id,'meganizer_page_layout', $meganizer_page_layout_old );

            }
            
        }

        $meganizer_ed_header_overlay_old = absint( get_post_meta( $post_id, 'meganizer_ed_header_overlay', true ) ); 
        $meganizer_ed_header_overlay_new = isset( $_POST['meganizer_ed_header_overlay'] ) ? absint( wp_unslash( $_POST['meganizer_ed_header_overlay'] ) ) : '';

        if ( $meganizer_ed_header_overlay_new && $meganizer_ed_header_overlay_new != $meganizer_ed_header_overlay_old ){

            update_post_meta ( $post_id, 'meganizer_ed_header_overlay', $meganizer_ed_header_overlay_new );

        }elseif( '' == $meganizer_ed_header_overlay_new && $meganizer_ed_header_overlay_old ) {

            delete_post_meta( $post_id,'meganizer_ed_header_overlay', $meganizer_ed_header_overlay_old );

        }

    }

endif;   