<?php

/**
 * Default Banner
 *
 * @package Meganizer
 */
if (!function_exists('meganizer_horizontal_vertical_slider')) :
    function meganizer_horizontal_vertical_slider($meganizer_home_section, $repeat_times)
    {
        $section_category_7 = esc_html(isset($meganizer_home_section->section_category_7) ? $meganizer_home_section->section_category_7 : '');
        $section_slide_category = esc_html(isset($meganizer_home_section->section_slide_category) ? $meganizer_home_section->section_slide_category : '');
        $section_post_cat_1 = esc_html(isset($meganizer_home_section->section_post_cat_1) ? $meganizer_home_section->section_post_cat_1 : '');
        $slider_arrows = esc_html(isset($meganizer_home_section->ed_arrows_carousel) ? $meganizer_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($meganizer_home_section->ed_dots_carousel) ? $meganizer_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($meganizer_home_section->ed_autoplay_carousel) ? $meganizer_home_section->ed_autoplay_carousel : '');
        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 2, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_7)));
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 1, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_slide_category)));
        $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 3, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_cat_1))); ?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-default-banner">
            <div class="wrapper">
                <div class="column-row column-row-small">
                    <div class="column column-3 column-md-6 column-sm-6 column-xs-12 order-md-2 order-sm-2">
                        <?php if ($banner_query_1->have_posts()) : ?>
                            <?php
                            $i = 1;
                            while ($banner_query_1->have_posts()) {
                                $banner_query_1->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-news-article mb-8'); ?>>
                                    <div class="data-bg data-bg-small data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                    </div>

                                    <div class="article-content has-article-content-overlay article-content-overlay">
                                        <div class="theme-article-header">
                                            <h3 class="entry-title entry-title-medium">
                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h3>
                                            <div class="entry-meta">
                                                <?php meganizer_posted_by(); ?>
                                                <?php meganizer_post_view_count(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                            <?php $i++;
                            } ?>
                        <?php wp_reset_postdata();
                        endif; ?>
                    </div>

                    <div class="column column-6 column-md-12 column-sm-12 order-md-1 order-sm-1">
                        <?php if ($banner_query_2->have_posts()) : ?>
                            <?php
                            $i = 1;
                            while ($banner_query_2->have_posts()) {
                                $banner_query_2->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article mb-8'); ?>>
                                    <div class="theme-article-image">
                                        <div class="data-bg data-bg-big data-bg-overlay img-hover-shine" data-background="<?php echo esc_url($featured_image); ?>">
                                            <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                        </div>
                                    </div>
                                    <div class="article-content has-article-content-overlay article-content-overlay">
                                        <div class="entry-meta">
                                            <?php meganizer_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                        </div>
                                        <h2 class="entry-title entry-title-large line-clamp-2">
                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                <?php the_title(); ?>
                                            </a>
                                        </h2>
                                        <div class="entry-footer">
                                            <div class="entry-meta">
                                                <?php meganizer_posted_by(); ?>
                                                <?php meganizer_post_view_count(); ?>
                                            </div>
                                        </div>
                                        <div class="entry-content hidden-xs-element entry-content-muted content-muted-small">
                                            <?php
                                            if (has_excerpt()) {
                                                the_excerpt();
                                            } else {
                                                echo '<p>';
                                                echo esc_html(wp_trim_words(get_the_content(), 30, '...'));
                                                echo '</p>';
                                            } ?>
                                        </div>
                                    </div>
                                </article>
                            <?php $i++;
                            } ?>
                        <?php wp_reset_postdata();
                        endif; ?>
                    </div>

                    <div class="column column-3 column-md-6 column-sm-6 column-xs-12 order-md-3 order-sm-3">
                        <?php if ($banner_query_3->have_posts()) : ?>
                            <div class="prime-slider-area">
                                <?php if ($banner_query_3->have_posts()) : ?>
                                    <div class="prime-slider-left">
                                        <?php
                                        $count = 1;
                                        while ($banner_query_3->have_posts()) {
                                            $banner_query_3->the_post(); ?>
                                            <?php
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                            <?php if ($count <= 3) {
                                                if ($count == 1) { ?>
                                                    <div class='prime-slider-wrapper'>
                                                        <div class='theme-prime-slider'>
                                                        <?php } ?>

                                                        <div class="prime-slider-item">
                                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                                <div class="data-bg data-bg-big data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                                                                    <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                                </div>

                                                                <div class="article-content has-article-content-overlay article-content-overlay">
                                                                    <h3 class="entry-title entry-title-medium">
                                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                                    </h3>

                                                                    <div class="entry-meta">
                                                                        <?php meganizer_posted_by(); ?>
                                                                        <?php meganizer_post_view_count(); ?>
                                                                    </div>
                                                                </div>
                                                            </article>
                                                        </div>

                                                        <?php if (($count == 3) || $banner_query_3->current_post + 1 == $banner_query_3->post_count) { ?>
                                                        </div>
                                                    </div>
                                                <?php } ?>

                                            <?php $count++;
                                            } else { ?>
                                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>

                                                    <div class="article-content article-content-highlights">
                                                        <h3 class="entry-title entry-title-xsmall">
                                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                        </h3>

                                                        <div class="entry-meta">
                                                            <?php meganizer_posted_by(); ?>
                                                            <?php meganizer_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </article>
                                            <?php } ?>
                                        <?php } ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </div>
<?php }
endif;
