<?php

/**
 * Must Read
 *
 * @package Meganizer
 */
if (!function_exists('meganizer_must_read')) :
    function meganizer_must_read($meganizer_home_section, $repeat_times)
    {
        $section_category_6 = esc_html(isset($meganizer_home_section->section_category_6) ? $meganizer_home_section->section_category_6 : '');
        $home_section_must_read = esc_html(isset($meganizer_home_section->home_section_must_read) ? $meganizer_home_section->home_section_must_read : '');

        $must_read_section = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 3, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_6)));
        if ($must_read_section->have_posts()) :
?>
            <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-must-read">
                <div class="wrapper">
                    <div class="column-row">
                        <div class="column column-12">
                            <?php if ($home_section_must_read) { ?>
                                <header class="theme-block-header">
                                    <div class="theme-block-title">
                                        <?php echo esc_html($home_section_must_read); ?>
                                    </div>
                                </header>
                            <?php } ?>

                            <div class="column-row column-row-medium">
                                <?php
                                $i = 1;
                                while ($must_read_section->have_posts()) {
                                    $must_read_section->the_post();
                                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                    $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';

                                ?>
                                    <?php if ($i == 1) { ?>
                                        <div class="column column-4 column-sm-12">
                                            <article class="theme-news-article mb-8">
                                                <div class="theme-article-image mb-16">
                                                    <div class="data-bg data-bg-medium data-bg-overlay" data-background='<?php echo esc_url($featured_image); ?>'></div>
                                                </div>

                                                <div class="article-content has-article-content-overlay article-content-overlay">
                                                    <h3 class="entry-title entry-title-big">
                                                        <a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a>
                                                    </h3>

                                                    <div class="entry-meta">
                                                        <div class="entry-meta-inline">
                                                            <?php meganizer_posted_by(); ?>
                                                            <?php meganizer_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>

                                    <?php $i++;
                                    } else { ?>
                                        <div class="column column-4 column-sm-6 column-xxs-12">

                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article mb-8'); ?>>
                                                <div class="theme-article-image mb-8">
                                                    <div class="data-bg data-bg-small" data-background='<?php echo esc_url($featured_image); ?>'></div>
                                                </div>

                                                <div class="article-content">

                                                    <h3 class="entry-title entry-title-medium">
                                                        <a href="<?php the_permalink(); ?>"> <?php the_title(); ?></a>
                                                    </h3>
                                                    <?php the_excerpt(); ?>

                                                    <div class="entry-meta">
                                                        <div class="entry-meta-inline">
                                                            <?php meganizer_posted_by(); ?>
                                                            <?php meganizer_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>
                                    <?php } ?>
                                    <?php //if ($must_read_section->current_post + 1 == $must_read_section->post_count) { 
                                    ?>
                                <?php } ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
<?php wp_reset_postdata();
        endif;
    }
endif; ?>