<?php

/**
 * Banner Blocks One
 *
 * @package Meganizer
 */
if (!function_exists('meganizer_banner_block_1_section')) :
    function meganizer_banner_block_1_section($meganizer_home_section, $repeat_times)
    {
        $section_post_slide_cat = esc_html(isset($meganizer_home_section->section_post_slide_cat) ? $meganizer_home_section->section_post_slide_cat : '');

        $section_category_1 = esc_html(isset($meganizer_home_section->section_category_1) ? $meganizer_home_section->section_category_1 : '');
        $section_category_2 = esc_html(isset($meganizer_home_section->section_category_2) ? $meganizer_home_section->section_category_2 : '');
        $section_category_3 = esc_html(isset($meganizer_home_section->section_category_3) ? $meganizer_home_section->section_category_3 : '');
        $section_category_4 = esc_html(isset($meganizer_home_section->section_category_4) ? $meganizer_home_section->section_category_4 : '');

        $ed_tab = esc_html(isset($meganizer_home_section->ed_tab) ? $meganizer_home_section->ed_tab : '');
        $ed_flip_column = esc_html(isset($meganizer_home_section->ed_flip_column) ? $meganizer_home_section->ed_flip_column : '');
        $home_section_title_1 = esc_html(isset($meganizer_home_section->home_section_title_1) ? $meganizer_home_section->home_section_title_1 : '');
        $banner_post_slide_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 7, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_slide_cat)));
        $slider_arrows = esc_html(isset($meganizer_home_section->ed_arrows_carousel) ? $meganizer_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($meganizer_home_section->ed_dots_carousel) ? $meganizer_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($meganizer_home_section->ed_autoplay_carousel) ? $meganizer_home_section->ed_autoplay_carousel : '');

        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        if ($ed_tab == 'yes' && ($section_category_1 || $section_category_2 || $section_category_3 || $section_category_4)) {
            $cat_array = array();
            if ($section_category_1) {
                $cat_array[] = $section_category_1;
            }
            if ($section_category_2) {
                $cat_array[] = $section_category_2;
            }
            if ($section_category_3) {
                $cat_array[] = $section_category_3;
            }
            if ($section_category_4) {
                $cat_array[] = $section_category_4;
            }
            $banner_query_all = new WP_Query(
                $args = array(
                    'post_type' => 'post',
                    'posts_per_page' => 3,
                    'post__not_in' => get_option("sticky_posts"),
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'category',
                            'field' => 'slug',
                            'terms' => $cat_array,
                        ),
                    ),
                )
            );
        } else {
            $banner_query_all = new WP_Query(
                $args = array(
                    'post_type' => 'post',
                    'posts_per_page' => 4,
                    'post__not_in' => get_option("sticky_posts"),
                    'category_name' => esc_html($section_category_1)
                )
            );
        }
?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-block-navtabs 
            <?php if (empty($home_section_title_1)) {
                echo ' no-title-slide';
            } ?>">
            <div class="wrapper">
                <div class="column-row">
                    <?php if ($banner_post_slide_query->have_posts()) : ?>
                        <div class="column column-8 column-sm-12">
                            <?php if ($home_section_title_1) { ?>
                                <header class="theme-block-header">
                                    <div class="theme-block-title">
                                        <?php echo esc_html($home_section_title_1); ?>
                                    </div>
                                </header>
                            <?php } ?>

                            <div class="column-row column-row-medium">
                                <?php
                                $i = 1;
                                while ($banner_post_slide_query->have_posts()) {
                                    $banner_post_slide_query->the_post();
                                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                    $featured_image = isset($featured_image[0]) ? $featured_image[0] : '';

                                ?>
                                    <?php if ($i == 1) { ?>
                                        <div class="column column-6 column-xxs-12">
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article'); ?>>

                                                <div class="theme-article-image mb-16">
                                                    <div class="data-bg data-bg-medium" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                    </div>
                                                </div>
                                                <div class="entry-footer">
                                                    <div class="entry-meta">
                                                        <?php meganizer_posted_by(); ?>
                                                        <?php meganizer_post_view_count(); ?>
                                                    </div>
                                                </div>
                                                <div class="article-content">
                                                    <h2 class="entry-title entry-title-medium line-clamp-2">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                            <?php the_title(); ?>
                                                        </a>
                                                    </h2>

                                                    <?php the_excerpt(); ?>
                                                </div>

                                            </article>
                                        </div>

                                        <div class="column column-6 column-xxs-12">
                                        <?php $i++;
                                    } else { ?>
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-inlined article-inlined-small mb-16'); ?>>

                                                <div class="theme-article-image">
                                                    <div class="data-bg data-bg-thumbnail" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                    </div>
                                                </div>

                                                <div class="article-content">
                                                    <h2 class="entry-title entry-title-small line-clamp-2">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                            <?php the_title(); ?>
                                                        </a>
                                                    </h2>
                                                    <div class="entry-footer">
                                                        <div class="entry-meta">
                                                            <?php meganizer_posted_by(); ?>
                                                            <?php meganizer_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </div>

                                            </article>
                                        <?php } ?>
                                        <?php if ($banner_post_slide_query->current_post + 1 == $banner_post_slide_query->post_count) { ?>
                                        </div>
                                    <?php } ?>
                                <?php } ?>
                            </div>
                        </div>
                    <?php
                        wp_reset_postdata();
                    endif; ?>

                    <div class="column column-4 column-sm-12 <?php if ($ed_flip_column != 'yes') { ?>column-order-3<?php } else { ?>column-order-1<?php } ?>">
                        <?php if (($ed_tab == 'yes' && ($section_category_1 || $section_category_2 || $section_category_3 || $section_category_4))) { ?>
                            <header class="block-title-wrapper">
                                <?php
                                if ($ed_tab == 'yes' && ($section_category_1 || $section_category_2 || $section_category_3 || $section_category_4)) { ?>

                                    <div class="theme-tab-controls">
                                        <div class="tab-posts hide-no-js">
                                            <a cat-data="all" class="active-tab" href="javascript:void(0)"><?php esc_html_e('All', 'meganizer'); ?></a>
                                            <?php
                                            if ($section_category_1 && $ed_tab == 'yes') {
                                                $catObj = get_category_by_slug($section_category_1);
                                                if (isset($catObj->name) && $catObj->name) { ?>
                                                    <a cat-data="<?php echo esc_attr($section_category_1); ?>" href="javascript:void(0)">
                                                        <?php echo esc_html($catObj->name); ?>
                                                    </a>
                                                <?php }
                                            }
                                            if ($section_category_2 && $ed_tab == 'yes') {
                                                $catObj = get_category_by_slug($section_category_2);
                                                if (isset($catObj->name) && $catObj->name) { ?>
                                                    <a cat-data="<?php echo esc_attr($section_category_2); ?>" href="javascript:void(0)">
                                                        <?php echo esc_html($catObj->name); ?>
                                                    </a>
                                                <?php }
                                            }
                                            if ($section_category_3 && $ed_tab == 'yes') {
                                                $catObj = get_category_by_slug($section_category_3);
                                                if (isset($catObj->name) && $catObj->name) { ?>
                                                    <a cat-data="<?php echo esc_attr($section_category_3); ?>" href="javascript:void(0)">
                                                        <?php echo esc_html($catObj->name); ?>
                                                    </a>
                                                <?php }
                                            }
                                            if ($section_category_4 && $ed_tab == 'yes') {
                                                $catObj = get_category_by_slug($section_category_4);
                                                if (isset($catObj->name) && $catObj->name) { ?>
                                                    <a cat-data="<?php echo esc_attr($section_category_4); ?>" href="javascript:void(0)">
                                                        <?php echo esc_html($catObj->name); ?>
                                                    </a>
                                            <?php }
                                            } ?>
                                        </div>
                                    </div>



                                <?php } ?>
                            </header>
                        <?php }
                        if ($banner_query_all->have_posts()) : ?>
                            <div class="tab-contents tab-content-all content-loaded content-active">
                                <div class="tab-content-container">
                                    <?php
                                    $post_count = 1;
                                    while ($banner_query_all->have_posts()) {
                                        $banner_query_all->the_post();
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                        <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                            <div class="data-bg data-bg-xsmall data-bg-overlay" data-background="<?php echo esc_url($featured_image); ?>">
                                                <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                            </div>

                                            <div class="article-content has-article-content-overlay article-content-overlay">
                                                <div class="entry-meta">
                                                    <?php meganizer_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                </div>

                                                <h3 class="entry-title entry-title-small line-clamp-3">
                                                    <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                </h3>
                                                <div class="entry-meta">
                                                    <?php meganizer_posted_by(); ?>
                                                    <?php meganizer_post_view_count(); ?>
                                                </div>
                                            </div>

                                        </article>
                                    <?php
                                        if ($post_count == 4) {
                                            break;
                                        }
                                        $post_count++;
                                    } ?>
                                </div>
                            </div>
                        <?php
                            wp_reset_postdata();
                        endif; ?>
                        <?php if ($ed_tab == 'yes' && $section_category_1) { ?>
                            <div data-cat="<?php echo esc_attr($section_category_1); ?>" class="tab-contents tab-content-<?php echo esc_attr($section_category_1); ?>">
                                <?php meganizer_content_loading(); ?>
                            </div>
                        <?php } ?>
                        <?php if ($ed_tab == 'yes' && $section_category_2) { ?>
                            <div data-cat="<?php echo esc_attr($section_category_2); ?>" class="tab-contents tab-content-<?php echo esc_attr($section_category_2); ?>">
                                <?php meganizer_content_loading(); ?>
                            </div>
                        <?php } ?>
                        <?php if ($ed_tab == 'yes' && $section_category_3) { ?>
                            <div data-cat="<?php echo esc_attr($section_category_3); ?>" class="tab-contents tab-content-<?php echo esc_attr($section_category_3); ?>">
                                <?php meganizer_content_loading(); ?>
                            </div>
                        <?php } ?>
                        <?php if ($ed_tab == 'yes' && $section_category_4) { ?>
                            <div data-cat="<?php echo esc_attr($section_category_4); ?>" class="tab-contents tab-content-<?php echo esc_attr($section_category_4); ?>">
                                <?php meganizer_content_loading(); ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>

            <div class="theme-footer-link theme-block-footer">
                <div class="wrapper">
                    <div class="column-row">
                        <div class="column column-12 column-sm-12">
                            <div class="theme-footer-panel block-footer-panel">
                                <hr>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
<?php
    }
endif;
