<?php

/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Meganizer
 * @since 1.0.0
 */

$meganizer_default = meganizer_get_default_theme_options();
$meganizer_archive_layout = esc_attr(get_theme_mod('meganizer_archive_layout', $meganizer_default['meganizer_archive_layout']));
$global_sidebar_layout = esc_attr(get_theme_mod('global_sidebar_layout', $meganizer_default['global_sidebar_layout']));
$ed_post_read_later = get_theme_mod('ed_post_read_later', $meganizer_default['ed_post_read_later']);
$title_size = 'large';

if ($meganizer_archive_layout == 'default') {

    $image_size = 'medium';
    $title_size = 'big';
} elseif ($meganizer_archive_layout == 'grid') {

    $image_size = 'medium_large';
    $title_size = 'medium';
} else {

    if ($global_sidebar_layout == 'no-sidebar') {
        $image_size = 'full';
    } else {
        $image_size = 'large';
    }
} ?>

<div class="theme-article-area">
    <article id="post-<?php the_ID(); ?>" <?php post_class('news-article'); ?>>

        <?php
        $meganizer_default = meganizer_get_default_theme_options();
        $meganizer_archive_layout = get_theme_mod('meganizer_archive_layout', $meganizer_default['meganizer_archive_layout']);

        $bg_size = 'data-bg-medium';
        if ($meganizer_archive_layout == 'full') {
            $bg_size = 'data-bg-medium mb-16';
        }

        if (
            $meganizer_archive_layout == 'grid'
        ) {
            $bg_size = 'data-bg-small mb-16';
        }

        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>

        <div class="post-thumbnail data-bg <?php echo esc_attr($bg_size); ?>" data-background="<?php echo esc_url($featured_image); ?>">
            <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a></a>
        </div>

        <div class="post-content">

            <header class="entry-header">

                <?php
                if (!is_search() && 'post' === get_post_type()) { ?>

                    <div class="entry-meta">

                        <?php meganizer_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>

                    </div>

                <?php  } ?>
                <h2 class="entry-title entry-title-<?php echo $title_size; ?>">

                    <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                    <?php if (class_exists('Booster_Extension_Class') && $ed_post_read_later) : echo do_shortcode('[be-pp]');
                    endif; ?>
                </h2>

            </header>



            <div class="entry-content entry-content-muted">
                <?php
                if (has_excerpt()) {

                    the_excerpt();
                } else {

                    echo '<p>';
                    echo esc_html(wp_trim_words(get_the_content(), 20, '...'));
                    echo '</p>';
                } ?>

            </div>

            <?php if (!is_search()) { ?>


                <div class="entry-footer">
                    <div class="entry-meta">
                        <?php meganizer_posted_by(); ?>
                    </div>

                </div>

            <?php } ?>

        </div>

    </article>
</div>