<?php

/**
 * Header Layout 2
 *
 * @package Meganizer
 */

use meganizer\Meganizer_Walkernav;

$meganizer_default = meganizer_get_default_theme_options();
$meganizer_header_bg_size = get_theme_mod('meganizer_header_bg_size', $meganizer_default['meganizer_header_bg_size']);
$ed_header_bg_fixed = get_theme_mod('ed_header_bg_fixed', $meganizer_default['ed_header_bg_fixed']);
$site_title_add_layout = get_theme_mod('site_title_add_layout', $meganizer_default['site_title_add_layout']);
$ed_header_bg_overlay = get_theme_mod('ed_header_bg_overlay', $meganizer_default['ed_header_bg_overlay']); ?>
<header id="site-header" class="theme-header <?php if ($ed_header_bg_overlay) {
                                                    echo '';
                                                } ?>" role="banner">
    <?php meganizer_theme_navextras(); ?>
    <div id="theme-navigation" class="header-navbar">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <?php if (is_active_sidebar('meganizer-offcanvas-widget')) : ?>
                    <div id="widgets-nav" class="icon-sidr">
                        <button id="hamburger-one" class="navbar-control">
                            <span class="navbar-control-trigger" tabindex="-1">
                                <span class="hamburger-wrapper">
                                    <span class="hamburger-inner"></span>
                                </span>
                            </span>
                        </button>
                    </div>
                <?php endif; ?>

                <div class="header-titles">
                    <?php
                    meganizer_site_logo();
                    meganizer_site_description();
                    ?>
                </div>
            </div>

            <div class="header-item header-item-right">
                <div class="site-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'meganizer'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('meganizer-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'meganizer-primary-menu',
                                        'walker' => new meganizer\Meganizer_Walkernav(),
                                    )
                                );
                            } else {
                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'walker' => new Meganizer_Walker_Page(),
                                    )
                                );
                            } ?>
                        </ul>

                    </nav>
                </div>
                <?php main_navigation_extras(); ?>
            </div>
        </div>
    </div>
</header>

<div class="theme-ticker theme-block">
    <div class="wrapper">
        <div class="column-row">
            <div class="column column-12">
                <?php meganizer_header_ticker_posts(); ?>
            </div>
        </div>
    </div>
</div>